
HidePloughtTurnText = {};
function HidePloughtTurnText.prerequisitesPresent(specializations)
    return true;
end;

function HidePloughtTurnText:load(xmlFile)
	self.hideText = Utils.getNoNil(getXMLBool(xmlFile, "vehicle.hidePloughTurnText"), false);
end;
function HidePloughtTurnText:delete()
end;
function HidePloughtTurnText:mouseEvent(posX, posY, isDown, isUp, button)
end;
function HidePloughtTurnText:keyEvent(unicode, sym, modifier, isDown)
end;
function HidePloughtTurnText:update(dt)
end;
function HidePloughtTurnText:updateTick(dt)
end;
function HidePloughtTurnText:onLeave()
end;
function HidePloughtTurnText:draw()
    if self:getIsActiveForInput(true) then
        if self:getIsPloughRotationAllowed() and not self.hideText then
             g_currentMission:addHelpButtonText(g_i18n:getText("Turn_plough"), InputBinding.IMPLEMENT_EXTRA);
        end
  
        if self.ploughLimitToField then
            g_currentMission:addHelpButtonText(g_i18n:getText("allow_create_fields"), InputBinding.IMPLEMENT_EXTRA3);
        else
            g_currentMission:addHelpButtonText(g_i18n:getText("limit_to_fields"), InputBinding.IMPLEMENT_EXTRA3);
        end
    end
	if math.abs(self.speedViolationTimer - self.speedViolationMaxTime) > 2 then
        g_currentMission:addWarning(g_i18n:getText("Dont_drive_to_fast") .. "\n" .. string.format(g_i18n:getText("Cruise_control_levelN"), "1"), 0.07+0.022, 0.019+0.029);
    elseif self.showFieldNotOwnedWarning then
        g_currentMission:addWarning(g_i18n:getText("You_dont_own_this_field"));
    end	
end;
Plough.draw = function(self)
end;

